Bug 746976 - Review Request: python-passlib - Comprehensive password hashing framework supporting over 20 schemes
Summary: Review Request: python-passlib - Comprehensive password hashing framework sup...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-18 13:21 UTC by Matt Domsch
Modified: 2012-01-07 23:07 UTC (History)
5 users (show)

Fixed In Version: python-passlib-1.5.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-07 23:07:28 UTC
markmc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matt Domsch 2011-10-18 13:21:02 UTC
Spec URL: http://domsch.com/fedora/python-passlib/python-passlib.spec
SRPM URL: http://domsch.com/fedora/python-passlib/python-passlib-1.5.3-1.src.rpm
Description:
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.

Comment 1 Matt Domsch 2011-10-18 14:14:17 UTC
domsch.com is horked, so I put them at http://mdomsch.fedorapeople.org/python-passlib/

Comment 2 Robert Knight 2011-10-18 14:57:24 UTC
The spec file is missing a BuildRequires of python-setuptools.  With that change it does build.

Comment 3 Robert Knight 2011-10-18 15:06:48 UTC
Spec URL: http://www.princeton.edu/~knight/fedora/python-passlib.spec
SRPM URL: http://www.princeton.edu/~knight/fedora/python-passlib-1.5.3-1.src.rpm
rpmlint output:  http://www.princeton.edu/~knight/fedora/rpmlint.txt

Only change was the addition of the BuildRequires and rerunning rpmlint.

Comment 4 Mark McLoughlin 2011-10-18 16:00:52 UTC
Robert's version looks good to me. rpmlint passes, packaging looks sane. Licensing is correct. Installs fine and sample code from docs on website works.

I'd like to see these 3 minor things fixed up before or after importing:

 1. Let's do what the comment says:

   # Remove CFLAGS=... for noarch packages (unneeded)

 2. Don't need 'rm -rf %{buildroot}' in %install:

   http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

 3. Don't need to define %{python_sitelib} anymore:

   http://fedoraproject.org/wiki/Packaging:Python#Macros

APPROVED

Comment 5 Robert Knight 2011-10-18 17:36:37 UTC
Corrected at the URL's in Comment 3.

Comment 6 Matt Domsch 2011-10-18 18:58:35 UTC
New Package SCM Request
=======================
Package Name: python-passlib
Short Description: Comprehensive password hashing framework
Owners: mdomsch
Branches: f16 el6
InitialCC:

Comment 7 Gwyn Ciesla 2011-10-19 12:30:10 UTC
Git done (by process-git-requests).


Mark, please take ownership of review BZs.  Thanks!

Comment 8 Fedora Update System 2011-10-19 15:25:04 UTC
python-passlib-1.5.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-passlib-1.5.3-1.fc16

Comment 9 Fedora Update System 2011-10-20 02:24:42 UTC
python-passlib-1.5.3-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2012-01-07 23:07:28 UTC
python-passlib-1.5.3-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.